declare const UUID_QUERY_PARAM = "uuid";
declare const ACTION_CONFIG = "CONFIG";
declare class AccessDeniedError extends Error {
    constructor(message?: string);
}
declare class UnAuthorizedActionError extends Error {
    constructor(actionName: string);
}
interface IActionRequest {
    id: string;
    actionName: string;
    parameters?: {
        [propertyName: string]: string | Object;
    };
}
interface IActionResponse {
    id: string;
    actionName: string;
    result: number | Object | null | string;
    error?: string;
}
declare class ActionRequest implements IActionRequest {
    id: string;
    actionName: string;
    parameters?: {
        [propertyName: string]: string | Object;
    };
    constructor(id: string, actionName: string, parameters?: {
        [propertyName: string]: string | Object;
    });
}
declare class ActionResponse implements IActionResponse {
    id: string;
    actionName: string;
    result: number | Object | null | string;
    resultElementClass: string | null;
    error?: string;
    accessDenied: boolean;
    unauthorizedAction: boolean;
    constructor(id: string, actionName: string, result: number | Object | null | string, resultElementClass: string | null, error?: string, accessDenied?: boolean, unauthorizedAction?: boolean);
}
export { UUID_QUERY_PARAM, ACTION_CONFIG, ActionRequest, ActionResponse, AccessDeniedError, UnAuthorizedActionError };
